## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate libz-ng-sys

Name:           rust-libz-ng-sys
Version:        1.1.22
Release:        %autorelease
Summary:        Low-level bindings to zlib-ng

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/libz-ng-sys
Source:         %{crates_source}
# * Replace the upstream script for building zlib-ng with one that
#   unconditionally links the system one. The result is so trivial and has so
#   little in common with the original that it makes sense to ship an
#   alternative source rather than a patch.
Source10:       cmake.rs

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  tomcli
BuildRequires:  pkgconfig(zlib-ng)

%global _description %{expand:
Low-level bindings to zlib-ng (libz-ng), a high-performance zlib
library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(zlib-ng)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README-zng.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
# Remove the bundled copy of zlib-ng and replace its build script
rm -rv src/zlib-ng
cp -p '%{SOURCE10}' zng/
# We don’t need CMake since we are not building zlib-ng:
tomcli set Cargo.toml del build-dependencies.cmake

%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Mar 15 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.22-1
- Update to 1.1.22 (close RHBZ#2352671)

* Thu Jan 16 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.21-1
- Update to 1.1.21 (close RHBZ#2336137)

* Mon Oct 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.20-1
- Update to 1.1.20 (close RHBZ#2320135)

* Sat Aug 24 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.16-1
- Update to 1.1.16 (close RHBZ#2307720)

* Sat Aug 24 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.15-3
- Drop an unnecessary directive from the donwstream build_zng.rs

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.15-1
- Initial package (close RHBZ#2279208)
## END: Generated by rpmautospec
